/*
   CSS für Eventbooking EN table view auf 
     Unter Eventbooking -> COnfiguration -> Custom CSS
     Version: 14.11.2023
    EN: https://www.institute-for-competitive-intelligence.com/administrator/index.php?option=com_eventbooking&view=configuration
*/

/* Eingeblendete WS in Artikeln mit weniger Informationen */
div#eb-category-page-default.eb-container .eb-register-buttons-top,
div#eb-category-page-default.eb-container .eb-page-heading,
div#eb-category-page-default.eb-container .eb-description-details
{
	display:none !important;
}

/* Padding in Eventbooking Formularen */
h3.eb-heading {padding-bottom: 0.8em ;}
h4.eb-heading {padding-bottom: 0.8em ;}
 .form-select{
  padding-top:4px!important;
  padding-bottom:4px!important;
  font-size:0.9rem;
  border-top:0px!important;
}
.eb-container label{padding-top:6px}

/* große Inputs mit 100% breite darstellen */
div#eb-cart-registration-page input.input-large[type="text"], div#eb-cart-registration-page input[type="comment"] {
	width: 100% !important;
}

div#eb-cart-registration-page h3.eb-heading {
    margin-top: 1em;
}

/* TWE: Schriftgröße für Notizen */
.eb-notice-message {
  line-height: 120%;
  font-size: 100%;
}

/* TWE: Filter "All Dates" ausblenden */
#filter_duration{
  display: none;
}

/* TWE: --- Event_Booking Filter ausblenden --- */
.filters {
	 display: none;
}


/* in den EB-Formularen werden die Datenschutzrichtlinie und die AGB falsch gestyled - EBs Bootstrap style tritt sich mit dem Gavick Tamplate auf die Füße */
@layer overrides {
  input[type=checkbox].form-check-input,
  input[type=radio].form-check-input {
    appearance: auto !important;
    background: none !important;
    border: none !important;
    width: 13px !important;
    height: 13px !important;
    margin-top: 3px !important;
    margin-bottom: 6px !important;    
    margin-right: 2px !important;        
    accent-color: light-blue !important;
  }
}



/* Tweek derWorkshops-Tabelle war in Joomla 4 nicht mehr responsive - Je nach Breite werden Spalten ausgeblendet */

.eb-event-image-column, .eb-image-column, .eb-responsive-table th:first-child {display:none !important;}

@media (max-width: 840px) {
	.eb-event-image-column, .eb-image-column,

    .eb-register-buttons-column, 
  	.eb-responsive-table th:last-child,
    .eb-responsive-table td:last-of-type, 
    .eb-responsive-table td[data-content="Ende"], 
    .eb-responsive-table td[data-content="End Date"], 
    .eb-responsive-table .eb-event-end-date-column ,
  	.eb-responsive-table th:nth-child(4)
   {
 		display:none !important;
	}
}

@media (max-width: 640px) {
    .eb-responsive-table .location_col,
    .eb-responsive-table .table_price_col,  
    .eb-event-location-column, .eb-event-price-column,
    .eb-responsive-table td[data-content="Veranstaltungsort"],
    .eb-responsive-table td[data-content="Einzelpreis"],
    .eb-responsive-table td[data-content="Participation"],
    .eb-responsive-table td[data-content="Price"]  
    {
 		display:none !important;
	}
}

.eb-responsive-table td[data-content="Veranstaltungen"],
.eb-responsive-table td[data-content="Event"]
{
  	font-weight: 600
}
.eb-notice-message {color: #507416 !important}


/* Workshop-Seiten- Dartstellung */

/* --- TBI Format Speaker Avatar --- */

.eb-speaker-container .eb-speaker-avatar img {
    width: 75%;
    max-width: 20%;
    border-radius: 5% 5% 5% 5% !important;
    margin-top: 1em;
    margin-bottom: 1em;
}

.eb-plugin-speakers {padding-top:1em}
.eb-sponsor-container, .eb-speaker-container {
    text-align: left;
}

@media all and (max-width: 840px) {
  #eb-speakers-list .col-md-3, eb-speaker-container {max-width:50%!important; width: 50% !important}
  .eb-speaker-container .eb-speaker-avatar img {
      width: 75%;
      max-width: 25%;
  }
}
@media all and (max-width: 640px) {
  #eb-speakers-list .col-md-3, eb-speaker-container {max-width:30%!important; width: 30% !important}
  #eb-speakers-list .col-md-3, eb-speaker-container {max-width:50%!important; width: 50% !important}
  .eb-speaker-container .eb-speaker-avatar img {
      width: 75%;
      max-width: 50%;
  } 
  .eb-sponsor-container, .eb-speaker-container {
      text-align: center;
  }  
}


#eb-speakers-list, #eb-sponsors-list {
    padding-top: 0px;
}



img.img-circle {
    /* border-radius: 50%; */
    margin-top: 0%;
    margin-bottom: -32%;
    /* clip-path: circle(38% at 50% 42%);   */
    clip-path: inset(10% 2% 10% 2% );
}

.eb-speaker-avatar {
    overflow: hidden; /* Tweak für IE */
}
/*
.eb-speaker-container .eb-speaker-avatar img {
    -webkit-box-shadow: 0 16px 30px -12px rgba(0, 0, 0, .56), 0 4px 15px 0 rgba(0, 0, 0, .12), 0 8px 10px -5px rgba(0, 0, 0, .2);
}
*/
/* TBI Farbe der Anmelde-Buttons */
.btn-secondary, .btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #507416;
    --bs-btn-border-color: #507416;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #80ba24;
    --bs-btn-hover-border-color: #80ba24;
    --bs-btn-focus-shadow-rgb: 49,132,253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #507416;
    --bs-btn-active-border-color: #507416;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #ccc;
    --bs-btn-disabled-border-color: #ccc;
}

@media print {
 .eb-register-buttons-top, .eb-register-buttons-bottom, .eb-ical-export-link  {display:none !important}
 .eb-responsive-table tr th:last-child, .eb-responsive-table tr td:last-child {display:none !important}

  /* tweak table views to fit on one page */
    .eb-responsive-table tr, .eb-responsive-table td  {
      line-height: 1.2em !important; 
      padding: 6px;
    }  
    .eb-responsive-table .location_col,
    .eb-responsive-table .table_price_col,  
    .eb-event-location-column, .eb-event-price-column,
    .eb-responsive-table td[data-content="Veranstaltungsort"],
    .eb-responsive-table td[data-content="Einzelpreis"],
    .eb-responsive-table td[data-content="Participation"],
    .eb-responsive-table td[data-content="Price"]  
    {
 		min-width: 15% !important;
        width: auto !important;
	}
  
}